List setup requests
curl --request GET \
--url https://api.withacclaim.com/v1/setup_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withacclaim.com/v1/setup_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withacclaim.com/v1/setup_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "trq_XyZ789AbC",
"status": "RequiresPaymentMethod",
"payer_id": "pyr_AbC123XyZ",
"payment_method": {},
"session_identifier": "trq_XyZ789AbC_abc123...",
"description": "Tokenize payment method for customer",
"failure_code": "validation_failed",
"failure_message": "Payment method validation failed",
"expires_at": "2025-12-31T23:59:59Z",
"completed_at": "2025-10-08T18:25:00Z",
"ip_address": "192.168.1.1",
"user_agent": "Mozilla/5.0...",
"metadata": {
"custom_field": "value",
"source": "api"
},
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Setup Requests
List setup requests
GET
/
setup_requests
List setup requests
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on July 8, 2026
⌘I